10 Déc 2016

Joomla! Extensions Directory : Mises à jour des exigences de publication le 10 janvier 2017 Spécial

Afuj
1217 fois

keep calm and joomla

Développeurs, développeuses, professionnels ou amateurs, vous n’êtes pas sans savoir que la JED a modifié ses exigences de publication de vos extensions. En effet, toutes les extensions figurant sur la JED seront bientôt obligées d’utiliser le système de mise à jour de Joomla. Cela permettra de s’assurer que les propriétaires de site soient toujours avertis quand une nouvelle version de leurs extensions installées est disponible. Garder les extensions à jour ne peut qu’aider à améliorer la sécurité des sites Joomla!

Cette modification est obligatoire et sa validation sera ajoutée au JED Checker, le processus qui permet de valider la publication d’une extension sur la JED. Le code d’erreur sera: US1 - update sites not present in xml file (‘US1 - sites de mise à jour non présents dans le fichier xml’).

Cette nouvelle exigence entrera en vigueur le 10 janvier 2017. Des contrôles seront effectués sur le dernier fichier zip qui a été transféré à JED, de sorte que les développeurs sont invités à s’assurer qu’ils ont bien fourni les derniers exemplaires de leurs extensions.

En ce qui concerne les extensions déjà listées sur JED, elles resteront publiées malgré qu’elles ne soient pas conformes à cette nouvelle exigence. Mais, un avertissement s’affichera aux utilisateurs en cliquant sur le bouton Télécharger, en leur indiquant que l’extension ne prend pas en charge les serveurs de mise à jour et doit donc être mise à jour manuellement.

Traduction libre de l’article d’Aníbal Sánchez, A reminder: Updates to Listing Requirements on Jan 10th 2017

 

Dernière modification le lundi, 09 janvier 2017
Connectez-vous pour commenter

A propos de l’AFUJ

L'AFUJ est l'association francophone des utilisateurs de Joomla. Cette association à pour but de promouvoir Joomla dans toute la francophonie.

Contactez l'AFUJ  

Réseaux sociaux